SND_CTL_FIND_NUMID(9)

NAME
snd_ctl_find_numid - find the control instance with the given number-id

SYNOPSIS

struct snd_kcontrol * snd_ctl_find_numid (struct snd_card * card, unsigned int numid);

ARGUMENTS

card
    the card instance

numid
    the number-id to search

DESCRIPTION

Finds the control instance with the given number-id from the card.

Returns the pointer of the instance if found, or NULL if not.

The caller must down card->controls_rwsem before calling this function (if the race condition can happen).